Skip to content

Check TLS Certificate

POST
/api/check

Check TLS certificate for a domain. Results are cached for 30 minutes by default.

revocationCheck
string
Allowed values: true false

Query param alternative to body

object
domain
required

Domain to check (e.g., example.com)

string
Example
example.com
host

Alternative to domain

string
Example
example.com
revocationCheck

Enable revocation check (OCSP/CRL). Default: false

boolean

Certificate details

Certificate details

object
host

Checked hostname

string
port

Connection port (443)

number
valid

Whether certificate is valid

boolean
authorizationError

Error message if invalid

string
protocol

TLS protocol version (e.g., TLSv1.3)

string
cipher

Cipher suite details

object
cipherName

Cipher name

string
cipherVersion

Cipher version

string
cipherStandardName

Standard cipher name

string
subject

Certificate subject details

object
issuer

Certificate issuer details

object
subjectName

Certificate subject CN

string
issuerName

Certificate issuer CN

string
revocation

Revocation status (only when revocationCheck is enabled)

object
status

Good, revoked, unknown, or error

string
source

Ocsp or crl

string
reason

Revocation reason if revoked

string
checkedAt

ISO timestamp when revocation was checked

string
subjectaltname

Subject Alternative Names

string
valid_from

Certificate valid from date

string
valid_to

Certificate valid until date

string
fingerprint256

SHA-256 fingerprint

string
serialNumber

Certificate serial number

string
raw

PEM-encoded certificate

string

Bad Request - Invalid domain or payload

Bad Request - Invalid domain or payload

object
error
string

Rate Limit Exceeded

Rate Limit Exceeded

object
error
string
Example
Rate limit exceeded
Retry-After
integer

Seconds to wait before retrying

X-RateLimit-Limit
integer

Maximum requests per window

X-RateLimit-Remaining
integer

Remaining requests in window

X-RateLimit-Reset
integer

Unix timestamp when the rate limit resets

Bad Gateway - Failed to connect to target host

Bad Gateway - Failed to connect to target host

object
error
string